## iptables-persistent 1.0.24

=== Makefile ===
#!/usr/bin/make -f

# This file is part of netfilter-persistent
# Copyright (C) 2014 Jonathan Wiltshire
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3
# of the License, or (at your option) any later version.

PREFIX=/
DEST=$(DESTDIR)$(PREFIX)

all:

clean:

install:
	install -d $(DEST)/usr/sbin
	install -d $(DEST)/usr/share/netfilter-persistent
	install -d $(DEST)/usr/share/netfilter-persistent/plugins.d
	# Main wrapper
	install netfilter-persistent $(DEST)/usr/sbin
	# Systemd
	install -d $(DEST)/usr/lib/systemd/system
	install --mode=644 systemd/* $(DEST)/usr/lib/systemd/system
	# Manual
	install -d $(DEST)/usr/share/man/man8
	install --mode=644 netfilter-persistent.8 $(DEST)/usr/share/man/man8

install-plugins:
	# Plugins
	install plugins/* $(DEST)/usr/share/netfilter-persistent/plugins.d
	# Explicit flush plugin
	install --mode=755 iptb-expflush-plugin $(DEST)/usr/share/netfilter-persistent
	ln -fs /usr/share/netfilter-persistent/iptb-expflush-plugin $(DEST)/usr/share/netfilter-persistent/plugins/12-iptb4-explicit-flush
	ln -fs /usr/share/netfilter-persistent/iptb-expflush-plugin $(DEST)/usr/share/netfilter-persistent/plugins/20-iptb6-explicit-flush

=== debian/changelog ===
iptables-persistent (1.0.24) unstable; urgency=medium

  * [f55496] d/control: Drop non-working Pre-Depends from source stanza
  * [998ed3] Install files directly into /usr (Closes: #1122760)
  * [a19c48] Orphan package, see #1114584

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 14 Dec 2025 14:38:38 +0100

=== debian/control ===
Source: iptables-persistent
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), dh-exec, po-debconf
Vcs-Browser: https://salsa.debian.org/debian/iptables-persistent
Vcs-Git: https://salsa.debian.org/debian/iptables-persistent.git
Rules-Requires-Root: no

Package: netfilter-persistent
Architecture: all
Depends: ${misc:Depends}
Suggests: iptables-persistent
Pre-Depends: ${misc:Pre-Depends}
Description: boot-time loader for netfilter configuration
 This package provides a loader for netfilter configuration using a
 plugin-based architecture. It can load, flush and save a running
 configuration. Extending netfilter-persistent with plugins is trivial and can
 be done in any language.

Package: iptables-persistent
Architecture: all
Depends: netfilter-persistent (= ${source:Version}), ${misc:Depends}
Pre-Depends: iptables, ${misc:Pre-Depends}
Description: boot-time loader for netfilter rules, iptables plugin
 netfilter-persistent is a loader for netfilter configuration using a
 plugin-based architecture.
 .
 This package contains the iptables and ip6tables plugins.

Package: ipset-persistent
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ipset, netfilter-persistent (= ${source:Version}), ${misc:Depends}
Description: boot-time loader for netfilter rules, ipset plugin
 netfilter-persistent is a loader for netfilter configuration using a
 plugin-based architecture.
 .
 This package contains the ipset plugin.
